This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 188523 - Review Request: perl-Params-Check
Review Request: perl-Params-Check
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: 188505
Blocks: FE-ACCEPT 188527 189042 189043 189044 189046 189047 189048
  Show dependency treegraph
 
Reported: 2006-04-10 16:57 EDT by Steven Pritchard
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-19 10:49:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2006-04-10 16:57:20 EDT
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-Params-Check/perl-Params-Check.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-Params-Check-0.24-1.src.rpm
Description:
Params::Check is a generic input parsing/checking mechanism.
Comment 1 Jason Tibbitts 2006-04-11 21:38:12 EDT
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written, uses macros consistently and
conforms to the Perl template.
* license field matches the actual license.
* license is open source-compatible.  It's not included separately in the
package, but this is not necessary as the upstream tarball does not include it.
* source files match upstream:
   3d135f26327b78adc9deb56252ce2381  Params-Check-0.24.tar.gz
   3d135f26327b78adc9deb56252ce2381  Params-Check-0.24.tar.gz-srpm
* BuildRequires are proper.
* package builds in mock (with dependencies added to a local repo)
* rpmlint is silent.
* final provides and requires are sane.
* no shared libraries are present.
* package is not relocatable.
* owns the directory it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED
Comment 2 Steven Pritchard 2006-04-19 10:49:01 EDT
Imported into CVS and packages built.

Note You need to log in before you can comment on or make changes to this bug.